package com.link.base.user.model;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.link.base.orgtile.CoreOrganizationTile;
import com.link.core.basic.model.BasicModel;
import com.link.core.util.StringUtils;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

public class CoreUser extends BasicModel {
   public static final int MAX_LOGIN_ERROR_TIME = 5;
   public static final String ROLE_ADMIN = "ROLE_ADMIN";
   public static final String ROLE_DEALER_ADMIN = "ROLE_DEALER_ADMIN";
   public static final String ROLE_DEALER_ORDER = "ROLE_DEALER_ORDER";
   public static final String ROLE_DEALER_FINANCE = "ROLE_DEALER_FINANCE";
   public static final String ROLE_USER = "ROLE_USER";
   public static final String ROLE_ADMIN_CHS = "管理员";
   public static final String ROLE_DEALER_ADMIN_CHS = "经销商管理人员";
   public static final String ROLE_DEALER_ORDER_CHS = "下单人员";
   public static final String ROLE_DEALER_FINANCE_CHS = "财务人员";
   public static final String ROLE_USER_CHS = "游客";
   private static final long serialVersionUID = 9116249677517267208L;
   private String username;
   @JsonIgnore
   private String password;
   private String firstName;
   private String dutyId;
   private String dutyName;
   private String postnId;
   private String postnName;
   private String deptId;
   private String deptName;
   private String orgCode;
   private String orgName;
   private String status;
   private String empTypeLovType;
   private String empType;
   private String role;
   private String contact;
   private String email;
   private String basename;
   private String formuladate;
   private String hometown;
   private String joblevel;
   private String joindate;
   private String joingroupdate;
   private String nextproj;
   private String positionname;
   private String trialdate;
   private String unitname;
   private String workdate;
   private String appRole;
   private String appResp;
   private String appRespId;
   private String errorMessage;
   private String scancardFlag;
   private String lastLoginDate;
   private String gender;
   private String qixinbaoFlag;
   private String customerServiceId;
   private String customerService;
   private String qdUserOpenid;
   private String qdIsQduser;
   private String qdAssStatus;
   private String qdPrivTypeId;
   private String qdPrivTypeName;
   private String leaderId;
   private String leader;
   private String currentProject;
   private String proRole;
   private String enterProjDate;
   private String releaseDate;
   private String sourceStatus;
   private String planComments;
   private String timesheet;
   private String updateVersion;
   private String source;
   private String lastUpdUsername;
   private String lastUpdFstName;
   private String userIcon;
   private String userToken;
   private String randomDataSourceName;
   private String addrProvince;
   private String addrCity;
   private String addrDistrict;
   private String addrTown;
   private String userPrivateAddr;
   private String exportType;
   private String province;
   private String city;
   private String county;
   private String detailAddress;
   private String startDate;
   private String endDate;
   private String orgType;
   private String acctSubType;
   private String acctLevel;
   private String qdRole;
   private String qdOrganisation;
   private String signature;
   private String trialFlag;
   private String zhifubaoCode;
   private String weixinCode;
   private String wxUnionId;
   private String qqUnionId;
   private String client;
   private String deviceUuid;
   private String deviceLock;
   private String deviceImei;
   private String priceListId;
   private String acctParentId;
   private List<RoleAuth> list;
   private String reportToken;
   private String contactPhone;
   private Integer errorTimes;
   private String roleLovType;
   private String statusLovType;
   private String companyCode;
   private String companyCodeLovType;
   private String acctId;
   private String acctCode;
   private String acctName;
   private String acctAgencyName;
   private String acctType;
   private String acctGroup;
   private String acctStatus;
   private String entryDate;
   private String isDefault;
   private String showCurrentDate;
   private String loginTime;
   private String loginType;
   private String ipAddress;
   private String code;
   private String curClientId;
   private String mpAppId;
   private String openId;
   private String organCode;
   private String postnCode;
   private String dutyCode;
   private String loginLanguage;
   private String companyId;
   private String companyName;
   private String subscriberId;
   private String loginSceneFlag;
   private String lastPwChangeDate;
   private String sourceType;
   private String dormitory;
   private String isLinkSource;
   private Double relatedNum;
   private List<String> dutyIdList;
   private String curScope;
   private CoreOrganizationTile coreOrganizationTile;
   private String isAdmin;
   private String dynamicAeskey;
   private String areaCode;
   private String orgLevelName;
   private String orgLevelType;
   private String contactType;
   private List<String> acctIdList;
   private List<String> brandComCodes;

   public String getAreaCode() {
      return this.areaCode;
   }

   public void setAreaCode(String areaCode) {
      this.areaCode = areaCode;
   }

   public List<String> getAcctIdList() {
      return this.acctIdList;
   }

   public void setAcctIdList(List<String> acctIdList) {
      this.acctIdList = acctIdList;
   }

   public List<String> getBrandComCodes() {
      return this.brandComCodes;
   }

   public void setBrandComCodes(List<String> brandComCodes) {
      this.brandComCodes = brandComCodes;
   }

   public String getContactType() {
      return this.contactType;
   }

   public void setContactType(String contactType) {
      this.contactType = contactType;
   }

   public String getDynamicAeskey() {
      return this.dynamicAeskey;
   }

   public void setDynamicAeskey(String dynamicAeskey) {
      this.dynamicAeskey = dynamicAeskey;
   }

   public String getIsAdmin() {
      return this.isAdmin;
   }

   public void setIsAdmin(String isAdmin) {
      this.isAdmin = isAdmin;
   }

   public CoreOrganizationTile getCoreOrganizationTile() {
      return this.coreOrganizationTile;
   }

   public void setCoreOrganizationTile(CoreOrganizationTile coreOrganizationTile) {
      this.coreOrganizationTile = coreOrganizationTile;
   }

   public String getSourceType() {
      return this.sourceType;
   }

   public void setSourceType(String sourceType) {
      this.sourceType = sourceType;
   }

   public String getDormitory() {
      return this.dormitory;
   }

   public void setDormitory(String dormitory) {
      this.dormitory = dormitory;
   }

   public String getIsLinkSource() {
      return this.isLinkSource;
   }

   public void setIsLinkSource(String isLinkSource) {
      this.isLinkSource = isLinkSource;
   }

   public Double getRelatedNum() {
      return this.relatedNum;
   }

   public void setRelatedNum(Double relatedNum) {
      this.relatedNum = relatedNum;
   }

   public String getLastPwChangeDate() {
      return this.lastPwChangeDate;
   }

   public void setLastPwChangeDate(String lastPwChangeDate) {
      this.lastPwChangeDate = lastPwChangeDate;
   }

   public String getOrganCode() {
      return this.organCode;
   }

   public void setOrganCode(String organCode) {
      this.organCode = organCode;
   }

   public String getPostnCode() {
      return this.postnCode;
   }

   public void setPostnCode(String postnCode) {
      this.postnCode = postnCode;
   }

   public String getDutyCode() {
      return this.dutyCode;
   }

   public void setDutyCode(String dutyCode) {
      this.dutyCode = dutyCode;
   }

   public String getUserToken() {
      return this.userToken;
   }

   public void setUserToken(String userToken) {
      this.userToken = userToken;
   }

   public String getAppRespId() {
      return this.appRespId;
   }

   public void setAppRespId(String appRespId) {
      this.appRespId = appRespId;
   }

   public String getUserIcon() {
      return this.userIcon;
   }

   public void setUserIcon(String userIcon) {
      this.userIcon = userIcon;
   }

   public String getLastUpdUsername() {
      return this.lastUpdUsername;
   }

   public void setLastUpdUsername(String lastUpdUsername) {
      this.lastUpdUsername = lastUpdUsername;
   }

   public String getLastUpdFstName() {
      return this.lastUpdFstName;
   }

   public void setLastUpdFstName(String lastUpdFstName) {
      this.lastUpdFstName = lastUpdFstName;
   }

   public String getLeader() {
      return this.leader;
   }

   public void setLeader(String leader) {
      this.leader = leader;
   }

   public String getCurrentProject() {
      return this.currentProject;
   }

   public void setCurrentProject(String currentProject) {
      this.currentProject = currentProject;
   }

   public String getProRole() {
      return this.proRole;
   }

   public void setProRole(String proRole) {
      this.proRole = proRole;
   }

   public String getEnterProjDate() {
      return this.enterProjDate;
   }

   public void setEnterProjDate(String enterProjDate) {
      this.enterProjDate = enterProjDate;
   }

   public String getReleaseDate() {
      return this.releaseDate;
   }

   public void setReleaseDate(String releaseDate) {
      this.releaseDate = releaseDate;
   }

   public String getSourceStatus() {
      return this.sourceStatus;
   }

   public void setSourceStatus(String sourceStatus) {
      this.sourceStatus = sourceStatus;
   }

   public String getPlanComments() {
      return this.planComments;
   }

   public void setPlanComments(String planComments) {
      this.planComments = planComments;
   }

   public String getTimesheet() {
      return this.timesheet;
   }

   public void setTimesheet(String timesheet) {
      this.timesheet = timesheet;
   }

   public String getUpdateVersion() {
      return this.updateVersion;
   }

   public void setUpdateVersion(String updateVersion) {
      this.updateVersion = updateVersion;
   }

   public String getScancardFlag() {
      return this.scancardFlag;
   }

   public void setScancardFlag(String scancardFlag) {
      this.scancardFlag = scancardFlag;
   }

   public String getAppResp() {
      return this.appResp;
   }

   public void setAppResp(String appResp) {
      this.appResp = appResp;
   }

   public String getAppRole() {
      return this.appRole;
   }

   public void setAppRole(String appRole) {
      this.appRole = appRole;
   }

   public String getBasename() {
      return this.basename;
   }

   public void setBasename(String basename) {
      this.basename = basename;
   }

   public String getFormuladate() {
      return this.formuladate;
   }

   public void setFormuladate(String formuladate) {
      this.formuladate = formuladate;
   }

   public String getHometown() {
      return this.hometown;
   }

   public void setHometown(String hometown) {
      this.hometown = hometown;
   }

   public String getJoblevel() {
      return this.joblevel;
   }

   public void setJoblevel(String joblevel) {
      this.joblevel = joblevel;
   }

   public String getJoindate() {
      return this.joindate;
   }

   public void setJoindate(String joindate) {
      this.joindate = joindate;
   }

   public String getJoingroupdate() {
      return this.joingroupdate;
   }

   public void setJoingroupdate(String joingroupdate) {
      this.joingroupdate = joingroupdate;
   }

   public String getNextproj() {
      return this.nextproj;
   }

   public void setNextproj(String nextproj) {
      this.nextproj = nextproj;
   }

   public String getPositionname() {
      return this.positionname;
   }

   public void setPositionname(String positionname) {
      this.positionname = positionname;
   }

   public String getTrialdate() {
      return this.trialdate;
   }

   public void setTrialdate(String trialdate) {
      this.trialdate = trialdate;
   }

   public String getUnitname() {
      return this.unitname;
   }

   public void setUnitname(String unitname) {
      this.unitname = unitname;
   }

   public String getWorkdate() {
      return this.workdate;
   }

   public void setWorkdate(String workdate) {
      this.workdate = workdate;
   }

   public String getLoginTime() {
      return this.loginTime;
   }

   public void setLoginTime(String loginTime) {
      this.loginTime = loginTime;
   }

   public String getLoginType() {
      return this.loginType;
   }

   public void setLoginType(String loginType) {
      this.loginType = loginType;
   }

   public String getIpAddress() {
      return this.ipAddress;
   }

   public void setIpAddress(String ipAddress) {
      this.ipAddress = ipAddress;
   }

   public String getDutyId() {
      return this.dutyId;
   }

   public void setDutyId(String dutyId) {
      this.dutyId = dutyId;
   }

   public String getDutyName() {
      return this.dutyName;
   }

   public void setDutyName(String dutyName) {
      this.dutyName = dutyName;
   }

   public String getAcctId() {
      return this.acctId;
   }

   public void setAcctId(String acctId) {
      this.acctId = acctId;
   }

   public String getAcctCode() {
      return this.acctCode;
   }

   public void setAcctCode(String acctCode) {
      this.acctCode = acctCode;
   }

   public String getAcctName() {
      return this.acctName;
   }

   public void setAcctName(String acctName) {
      this.acctName = acctName;
   }

   public String getOrgName() {
      return this.orgName;
   }

   public void setOrgName(String orgName) {
      this.orgName = orgName;
   }

   public String getPostnId() {
      return this.postnId;
   }

   public void setPostnId(String postnId) {
      this.postnId = postnId;
   }

   public String getPostnName() {
      return this.postnName;
   }

   public void setPostnName(String postnName) {
      this.postnName = postnName;
   }

   public String getContact() {
      return this.contact;
   }

   public void setContact(String contact) {
      this.contact = contact;
   }

   public String getEmail() {
      return this.email;
   }

   public void setEmail(String email) {
      this.email = email;
   }

   public String getEntryDate() {
      return this.entryDate;
   }

   public void setEntryDate(String entryDate) {
      this.entryDate = entryDate;
   }

   public String getEmpType() {
      return this.empType;
   }

   public void setEmpType(String empType) {
      this.empType = empType;
   }

   public String getPassword() {
      return this.password;
   }

   public void setPassword(String password) {
      this.password = password;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getFirstName() {
      return this.firstName;
   }

   public void setFirstName(String firstName) {
      this.firstName = firstName;
   }

   public String getStatus() {
      return this.status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public Integer getErrorTimes() {
      return this.errorTimes;
   }

   public void setErrorTimes(Integer errorTimes) {
      this.errorTimes = errorTimes;
   }

   public String getRole() {
      return this.role;
   }

   public void setRole(String role) {
      this.role = role;
   }

   public String getAcctGroup() {
      return this.acctGroup;
   }

   public void setAcctGroup(String acctGroup) {
      this.acctGroup = acctGroup;
   }

   public String getOrgCode() {
      return this.orgCode;
   }

   public void setOrgCode(String orgCode) {
      this.orgCode = orgCode;
   }

   public String getContactPhone() {
      return this.contactPhone;
   }

   public void setContactPhone(String contactPhone) {
      this.contactPhone = contactPhone;
   }

   public boolean isAccountNonExpired() {
      return true;
   }

   public boolean isAccountNonLocked() {
      if (this.errorTimes == null) {
         return true;
      } else {
         return this.errorTimes >= 0 && this.errorTimes < 5;
      }
   }

   public boolean isCredentialsNonExpired() {
      return true;
   }

   public boolean isEnabled() {
      return true;
   }

   public boolean isAdmin() {
      if (this.role != null) {
         String role = this.role.trim();
         return "WD Admin".equalsIgnoreCase(role);
      } else {
         return false;
      }
   }

   public String getShowCurrentDate() {
      SimpleDateFormat sdf = new SimpleDateFormat("yyyy年MM月dd日");
      return sdf.format(new Date());
   }

   public void setShowCurrentDate(String showCurrentDate) {
      this.showCurrentDate = showCurrentDate;
   }

   public String getAcctType() {
      return this.acctType;
   }

   public void setAcctType(String acctType) {
      this.acctType = acctType;
   }

   public String getEmpTypeLovType() {
      return this.empTypeLovType;
   }

   public void setEmpTypeLovType(String empTypeLovType) {
      this.empTypeLovType = empTypeLovType;
   }

   public String getRoleLovType() {
      return this.roleLovType;
   }

   public void setRoleLovType(String roleLovType) {
      this.roleLovType = roleLovType;
   }

   public String getStatusLovType() {
      return this.statusLovType;
   }

   public void setStatusLovType(String statusLovType) {
      this.statusLovType = statusLovType;
   }

   public String getIsDefault() {
      return this.isDefault;
   }

   public void setIsDefault(String isDefault) {
      this.isDefault = isDefault;
   }

   public String getAcctAgencyName() {
      return this.acctAgencyName;
   }

   public void setAcctAgencyName(String acctAgencyName) {
      this.acctAgencyName = acctAgencyName;
   }

   public String getCompanyCode() {
      return this.companyCode;
   }

   public void setCompanyCode(String companyCode) {
      this.companyCode = companyCode;
   }

   public String getCompanyCodeLovType() {
      return this.companyCodeLovType;
   }

   public void setCompanyCodeLovType(String companyCodeLovType) {
      this.companyCodeLovType = companyCodeLovType;
   }

   public String getDeptId() {
      return this.deptId;
   }

   public void setDeptId(String deptId) {
      this.deptId = deptId;
   }

   public String getDeptName() {
      return this.deptName;
   }

   public void setDeptName(String deptName) {
      this.deptName = deptName;
   }

   public String getErrorMessage() {
      return this.errorMessage;
   }

   public void setErrorMessage(String errorMessage) {
      this.errorMessage = errorMessage;
   }

   public String getLastLoginDate() {
      return this.lastLoginDate;
   }

   public void setLastLoginDate(String lastLoginDate) {
      this.lastLoginDate = lastLoginDate;
   }

   public String getCustomerService() {
      return this.customerService;
   }

   public void setCustomerService(String customerService) {
      this.customerService = customerService;
   }

   public String getCustomerServiceId() {
      return this.customerServiceId;
   }

   public void setCustomerServiceId(String customerServiceId) {
      this.customerServiceId = customerServiceId;
   }

   public String getLeaderId() {
      return this.leaderId;
   }

   public void setLeaderId(String leaderId) {
      this.leaderId = leaderId;
   }

   public String getQdUserOpenid() {
      return this.qdUserOpenid;
   }

   public void setQdUserOpenid(String qdUserOpenid) {
      this.qdUserOpenid = qdUserOpenid;
   }

   public String getQdIsQduser() {
      return this.qdIsQduser;
   }

   public void setQdIsQduser(String qdIsQduser) {
      this.qdIsQduser = qdIsQduser;
   }

   public String getQdAssStatus() {
      return this.qdAssStatus;
   }

   public void setQdAssStatus(String qdAssStatus) {
      this.qdAssStatus = qdAssStatus;
   }

   public String getQdPrivTypeId() {
      return this.qdPrivTypeId;
   }

   public void setQdPrivTypeId(String qdPrivTypeId) {
      this.qdPrivTypeId = qdPrivTypeId;
   }

   public String getQdPrivTypeName() {
      return this.qdPrivTypeName;
   }

   public void setQdPrivTypeName(String qdPrivTypeName) {
      this.qdPrivTypeName = qdPrivTypeName;
   }

   public String getGender() {
      return this.gender;
   }

   public void setGender(String gender) {
      this.gender = gender;
   }

   public String getSource() {
      return this.source;
   }

   public void setSource(String source) {
      this.source = source;
   }

   public String getQixinbaoFlag() {
      return this.qixinbaoFlag;
   }

   public void setQixinbaoFlag(String qixinbaoFlag) {
      this.qixinbaoFlag = qixinbaoFlag;
   }

   public String getRandomDataSourceName() {
      return this.randomDataSourceName;
   }

   public void setRandomDataSourceName(String randomDataSourceName) {
      this.randomDataSourceName = randomDataSourceName;
   }

   public String getAddrProvince() {
      return this.addrProvince;
   }

   public void setAddrProvince(String addrProvince) {
      this.addrProvince = addrProvince;
   }

   public String getAddrCity() {
      return this.addrCity;
   }

   public void setAddrCity(String addrCity) {
      this.addrCity = addrCity;
   }

   public String getAddrDistrict() {
      return this.addrDistrict;
   }

   public void setAddrDistrict(String addrDistrict) {
      this.addrDistrict = addrDistrict;
   }

   public String getAddrTown() {
      return this.addrTown;
   }

   public void setAddrTown(String addrTown) {
      this.addrTown = addrTown;
   }

   public String getUserPrivateAddr() {
      return this.userPrivateAddr;
   }

   public void setUserPrivateAddr(String userPrivateAddr) {
      this.userPrivateAddr = userPrivateAddr;
   }

   public String getExportType() {
      return this.exportType;
   }

   public void setExportType(String exportType) {
      this.exportType = exportType;
   }

   public String getCity() {
      return this.city;
   }

   public void setCity(String city) {
      this.city = city;
   }

   public String getCounty() {
      return this.county;
   }

   public void setCounty(String county) {
      this.county = county;
   }

   public String getDetailAddress() {
      return this.detailAddress;
   }

   public void setDetailAddress(String detailAddress) {
      this.detailAddress = detailAddress;
   }

   public String getStartDate() {
      return this.startDate;
   }

   public void setStartDate(String startDate) {
      this.startDate = startDate;
   }

   public String getEndDate() {
      return this.endDate;
   }

   public void setEndDate(String endDate) {
      this.endDate = endDate;
   }

   public String getProvince() {
      return this.province;
   }

   public void setProvince(String province) {
      this.province = province;
   }

   public String getOrgType() {
      return this.orgType;
   }

   public void setOrgType(String orgType) {
      this.orgType = orgType;
   }

   public String getAcctSubType() {
      return this.acctSubType;
   }

   public void setAcctSubType(String acctSubType) {
      this.acctSubType = acctSubType;
   }

   public String getAcctLevel() {
      return this.acctLevel;
   }

   public void setAcctLevel(String acctLevel) {
      this.acctLevel = acctLevel;
   }

   public String getQdRole() {
      return this.qdRole;
   }

   public void setQdRole(String qdRole) {
      this.qdRole = qdRole;
   }

   public String getQdOrganisation() {
      return this.qdOrganisation;
   }

   public void setQdOrganisation(String qdOrganisation) {
      this.qdOrganisation = qdOrganisation;
   }

   public String getSignature() {
      return this.signature;
   }

   public void setSignature(String signature) {
      this.signature = signature;
   }

   public String getTrialFlag() {
      return this.trialFlag;
   }

   public void setTrialFlag(String trialFlag) {
      this.trialFlag = trialFlag;
   }

   public String getZhifubaoCode() {
      return this.zhifubaoCode;
   }

   public void setZhifubaoCode(String zhifubaoCode) {
      this.zhifubaoCode = zhifubaoCode;
   }

   public String getWeixinCode() {
      return this.weixinCode;
   }

   public void setWeixinCode(String weixinCode) {
      this.weixinCode = weixinCode;
   }

   public String getWxUnionId() {
      return this.wxUnionId;
   }

   public void setWxUnionId(String wxUnionId) {
      this.wxUnionId = wxUnionId;
   }

   public String getQqUnionId() {
      return this.qqUnionId;
   }

   public void setQqUnionId(String qqUnionId) {
      this.qqUnionId = qqUnionId;
   }

   public String getClient() {
      return this.client;
   }

   public void setClient(String client) {
      this.client = client;
   }

   public String getDeviceUuid() {
      return this.deviceUuid;
   }

   public void setDeviceUuid(String deviceUuid) {
      this.deviceUuid = deviceUuid;
   }

   public String getDeviceLock() {
      return this.deviceLock;
   }

   public void setDeviceLock(String deviceLock) {
      this.deviceLock = deviceLock;
   }

   public String getDeviceImei() {
      return this.deviceImei;
   }

   public void setDeviceImei(String deviceImei) {
      this.deviceImei = deviceImei;
   }

   public String getPriceListId() {
      return this.priceListId;
   }

   public void setPriceListId(String priceListId) {
      this.priceListId = priceListId;
   }

   public String getAcctParentId() {
      return this.acctParentId;
   }

   public void setAcctParentId(String acctParentId) {
      this.acctParentId = acctParentId;
   }

   public List<RoleAuth> getList() {
      return this.list;
   }

   public void setList(List<RoleAuth> list) {
      this.list = list;
   }

   public String getReportToken() {
      return this.reportToken;
   }

   public void setReportToken(String reportToken) {
      this.reportToken = reportToken;
   }

   public String getCode() {
      return this.code;
   }

   public void setCode(String code) {
      this.code = code;
   }

   public String getCurClientId() {
      return this.curClientId;
   }

   public void setCurClientId(String curClientId) {
      this.curClientId = curClientId;
   }

   public String getAcctStatus() {
      return this.acctStatus;
   }

   public void setAcctStatus(String acctStatus) {
      this.acctStatus = acctStatus;
   }

   public String getMpAppId() {
      return this.mpAppId;
   }

   public void setMpAppId(String mpAppId) {
      this.mpAppId = mpAppId;
   }

   public String getOpenId() {
      return this.openId;
   }

   public void setOpenId(String openId) {
      this.openId = openId;
   }

   public String getLoginLanguage() {
      return StringUtils.isBlank(this.loginLanguage) ? "CHS" : this.loginLanguage;
   }

   public void setLoginLanguage(String loginLanguage) {
      this.loginLanguage = loginLanguage;
   }

   public String getCompanyId() {
      return this.companyId;
   }

   public void setCompanyId(String companyId) {
      this.companyId = companyId;
   }

   public String getCompanyName() {
      return this.companyName;
   }

   public void setCompanyName(String companyName) {
      this.companyName = companyName;
   }

   public String getSubscriberId() {
      return this.subscriberId;
   }

   public void setSubscriberId(String subscriberId) {
      this.subscriberId = subscriberId;
   }

   public String getLoginSceneFlag() {
      return this.loginSceneFlag;
   }

   public void setLoginSceneFlag(String loginSceneFlag) {
      this.loginSceneFlag = loginSceneFlag;
   }

   public List<String> getDutyIdList() {
      return this.dutyIdList;
   }

   public void setDutyIdList(List<String> dutyIdList) {
      this.dutyIdList = dutyIdList;
   }

   public String getCurScope() {
      return this.curScope;
   }

   public void setCurScope(String curScope) {
      this.curScope = curScope;
   }

   public String getOrgLevelName() {
      return this.orgLevelName;
   }

   public void setOrgLevelName(String orgLevelName) {
      this.orgLevelName = orgLevelName;
   }

   public String getOrgLevelType() {
      return this.orgLevelType;
   }

   public void setOrgLevelType(String orgLevelType) {
      this.orgLevelType = orgLevelType;
   }
}
